﻿namespace HeuristicLab.Problems.ProgramSynthesis {
  using System.Collections.Generic;

  using HeuristicLab.Common;
  using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

  [StorableClass]
  public class FloatVectorErcOptions : ErcOption<IReadOnlyList<double>> {
    public FloatVectorErcOptions() { }
    public FloatVectorErcOptions(params WeightedErcItem<IReadOnlyList<double>>[] values) : base(true, values) { }

    public FloatVectorErcOptions(bool isEnabled, params WeightedErcItem<IReadOnlyList<double>>[] values) : base(isEnabled, values) { }

    [StorableConstructor]
    protected FloatVectorErcOptions(bool deserializing) : base(deserializing) { }

    public FloatVectorErcOptions(FloatVectorErcOptions origin, Cloner cloner) : base(origin, cloner) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new FloatVectorErcOptions(this, cloner);
    }

    public override string ToString() {
      return "FloatVector";
    }
  }
}
